## helma.scripting.rhino.extensions
Class DatabaseObject.RowSet

    java.lang.Object
      helma.scripting.rhino.extensions.DatabaseObject.RowSet

Enclosing class:
  DatabaseObject

    public static class DatabaseObject.RowSet

extends java.lang.Object

A RowSet object

Method Summary
`java.lang.String` `getClassName()`
`int` `getColumnCount()`
`java.lang.String` `getColumnDatatypeName(int idx)`
`int` `getColumnDatatypeNumber(int idx)`
`java.lang.Object` `getColumnItem(java.lang.String propertyName)`
`java.lang.String` `getColumnName(int idx)`
`java.lang.Object` `getLastError()`
`java.lang.Object` `getMetaData()`
`java.util.Enumeration` `getProperties()`
`java.lang.Object` `getProperty(int index)`
`java.lang.String[]` `getSpecialPropertyNames()`
`boolean` `hasMoreRows()`
`boolean` `next()`
`void` `release()`
`java.lang.String` `toDetailString()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getClassName

    public java.lang.String getClassName()

### toDetailString

    public java.lang.String toDetailString()

### getColumnCount

    public int getColumnCount()

### getMetaData

    public java.lang.Object getMetaData()

### getLastError

    public java.lang.Object getLastError()

### release

    public void release()

### hasMoreRows

    public boolean hasMoreRows()

### getColumnName

    public java.lang.String getColumnName(int idx)

### getColumnDatatypeNumber

    public int getColumnDatatypeNumber(int idx)

### getColumnDatatypeName

    public java.lang.String getColumnDatatypeName(int idx)

### getColumnItem

    public java.lang.Object getColumnItem(java.lang.String propertyName)

### getProperty

    public java.lang.Object getProperty(int index)

### getProperties

    public java.util.Enumeration getProperties()

### getSpecialPropertyNames

    public java.lang.String[] getSpecialPropertyNames()

### next

    public boolean next()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.